﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TwoFieldLayoutsStyle
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            MainViewModel viewModel = new MainViewModel();
            MyGrid.DataSource = viewModel.People;
        }
    }

    public class MainViewModel
    {
        public MainViewModel()
        {
            People = new ObservableCollection<Person>();

            People.Add(new Person()
            {
                name = "Ivan",
                gender = "male",
                age = 55,
                Fiends = new ObservableCollection<Person>
                {
                    new  Person { 
                        Name = "Yordan", 
                        Gender = "male",
                        Age = 33, 
                    },
                }
            });


            People.Add(new Person()
            {
                Name = "Yordan",
                gender = "male",
                age = 68,
                Fiends = new ObservableCollection<Person>
                {
                    new Person { Name = "Yordan", Gender = "male", Age = 33  }
                }
            });

            People.Add(new Person()
            {
                Name = "Yordan",
                gender = "female",
                age = 127,
                Fiends = new ObservableCollection<Person>
                {
                    new Person { Name = "Petran", Gender = "male", Age = 33  }
                }
            });

            People.Add(new Person()
            {
                Name = "Yordan",
                gender = "male",
                age = 12,              
                Fiends = new ObservableCollection<Person>
                {
                    new Person { Name = "Yordan", Gender = "male", Age = 33  }
                }
            });
            People.Add(new Person()
            {
                Name = "Dragan",
                Gender = "male",
                Age = 2,
                Fiends = new ObservableCollection<Person>
                {
                    new Person { Name = "Yordan", Gender = "male", Age = 14  }
                }
            });
            People.Add(new Person()
            {
                Name = "Ioana",
                Gender = "female",
                Age = 9,
                Fiends = new ObservableCollection<Person>
                {
                    new Person { Name = "Yordan", Gender = "male", Age = 1  }
                }
            });
        }


        public ObservableCollection<Person> People
        {
            get;
            set;
        }

    }

    public class Person
    {

        public string name;
        public string gender;
        public int age;
       
        public string Name
        {
            get { return this.name; }
            set { this.name = value; }
        }

        public string Gender
        {
            get { return this.gender; }
            set { this.gender = value; }
        }

        public int Age
        {
            get { return this.age; }
            set { this.age = value; }
        }

        public Person(string name, string gender, int age)
        {
            this.name = name;
            this.gender = gender;
            this.age = age;
        }

        public Person()
        {
        }



        private ObservableCollection<Person> friends;

        public ObservableCollection<Person> Fiends
        {
            get { return friends; }
            set { friends = value; }
        }

    }
}
